Page MenuHomePhabricator

[Regression wmf.3] Cannot save edit after switching to the source editor from mobile VE if no other edits are made on source editor mode
Closed, ResolvedPublic

Description

Steps to replicate:

  1. Open mobile VE
  2. Make an edit
  3. Switch to source editor
  4. Tap on "next"
  5. Tap on "Publish" on the save dialog

It says, "Error, edit not saved"

This wont happen if you make another edit inside the source editor.

Event Timeline

Ryasmeen created this task.Apr 30 2019, 9:18 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 30 2019, 9:18 PM
Ryasmeen triaged this task as High priority.Apr 30 2019, 9:18 PM

Change 507560 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/MobileFrontend@master] Call EditorGateway#setContent immediately when switching from VE

https://gerrit.wikimedia.org/r/507560

Esanders claimed this task.May 1 2019, 1:21 PM
Esanders edited projects, added VisualEditor (Current work); removed VisualEditor.
Esanders moved this task from Incoming to Code review on the VisualEditor (Current work) board.

Needs backport

Change 507560 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Call EditorGateway#setContent immediately when switching from VE

https://gerrit.wikimedia.org/r/507560

This hasn't been backported yet?

Change 507869 had a related patch set uploaded (by Jforrester; owner: Esanders):
[mediawiki/extensions/MobileFrontend@wmf/1.34.0-wmf.3] [NEEDS REGENERATION] Call EditorGateway#setContent immediately when switching from VE

https://gerrit.wikimedia.org/r/507869

Jdforrester-WMF raised the priority of this task from High to Unbreak Now!.May 2 2019, 7:57 PM
Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptMay 2 2019, 7:57 PM
thcipriani added a subscriber: thcipriani.

Someone whose local environment is running node 6.11.0 will need to regenerate this, as I can't.

poking MobileFrontend folks in case anyone can do this quickly

I've rebuilt the patch. @Jdlrobson, do you know if our rebase bot supports branches?

Change 507869 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@wmf/1.34.0-wmf.3] Call EditorGateway#setContent immediately when switching from VE

https://gerrit.wikimedia.org/r/507869

Mentioned in SAL (#wikimedia-operations) [2019-05-02T22:10:54Z] <jforrester@deploy1001> Synchronized php-1.34.0-wmf.3/extensions/MobileFrontend/resources/dist/mobile.editor.overlay.js: Hot-deploy T222229 to fix VE switching on MobileFrontend (duration: 00m 52s)

Jdforrester-WMF closed this task as Resolved.May 2 2019, 10:13 PM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Deployed and confirmed working in production.

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptMay 2 2019, 10:13 PM